This method will scan all group application processes and and return them to the caller.
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/membership/membership-v1/groupApplicationProcesses/{tenantId}
- https://membership.api.rhythmsoftware.comhttps://membership.api.rhythmsoftware.com/groupApplicationProcesses/{tenantId}
curl -i -X GET \
'https://docs.api.rhythmsoftware.com/_mock/apis/membership/membership-v1/groupApplicationProcesses/{tenantId}?fields=string&exclusiveStartKey=string' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'The group application processeswere retrieved successfully.
If set, the process used for account deletion if the group admin wants to join/renew members they do not own
The contact form to show to group administrators when they are registering individuals
The contact roles that can perform group registration
If set, then group administrators can request to be delegates for contacts not tied to their organization
If set, only certain people/organizations can use this process
Instructions to show to group administrators
The membership packages that are applicable to this process
The membership types that are applicable to this process
Whether or not to override POC settings
If true, only certain contact roles can perform group registration
If true, only certain membership packages are applicable to this process
If true, only certain membership types are applicable to this process
If true, an email is sent to the administrator of the group once registration is complete
If set, group administrators see instructions
If this record was loaded via bulk, the timestamp when the record was processed
If this record was loaded via bulk, the ID of the bulk load process
If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key
If this record was loaded via bulk, the record number in the source file
If this record was loaded via bulk, the source file
The error associated with the calculated field
If a snapshot was restored/applies to this record, the ID of the snapshot
The date/time that this record was created, expressed in ISO-8601 date format
The ID of the user that deleted (or last tried to delete) this object
Means for passing directive information into an object processing logic
If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion
If this record was last touched by a bulk data operation, the ID of that operation
If this record was last touched by a bulk data operation, the sys_version at the time of that operation
The date/time that this record record was last modified, expressed in ISO-8601 date format
The ID of the user that last modified this record
The security context of the last insert, modify, or delete performed on this item
The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox
A number representing the version of this record in the database
[ { "account_delegation_process_id": "string", "checkout_settings": { … }, "contact_form_id": "string", "contact_role_ids": [ … ], "description": "string", "display_in_portal": true, "display_in_portal_as": "string", "eligibility_criteria": { … }, "enable_account_delegation": true, "enable_eligibility_criteria": true, "enable_tiered_discounts": true, "group_administrator_confirmation_email": { … }, "group_administrator_instructions": "string", "id": "string", "is_active": true, "membership_package_ids": [ … ], "membership_type_ids": [ … ], "name": "string", "override_checkout_settings": true, "restrict_to_specific_contact_roles": true, "restrict_to_specific_membership_packages": true, "restrict_to_specific_membership_types": true, "send_confirmation_email_to_group_administrator": true, "show_instructions_to_group_administrators": true, "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ … ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_snapshot_base_version": 0.1, "sys_version": 0.1, "tiered_discount_rules": [ … ] } ]